<?php
require '../conexao/conexao.php';

// Obter os dados do formulário

$id_pessoa = $_POST['id_pessoa'] ?? null;
$tipo_pessoa = $_POST['tipo_pessoa'] ?? null; // Adicionado
$cpf = $_POST['cpf'] ?? null;
$cnpj = $_POST['cnpj'] ?? null;
$nome = $_POST['nome'] ?? null;
$nome_razao = $_POST['nome_razao'] ?? null;
$nome_fantasia = $_POST['nome_fantasia'] ?? null;
$sexo = $_POST['sexo'] ?? null;
$data_nascimento = $_POST['data_nascimento'] ?? null;

$situacao = $_POST['situacao'] ?? null;;
echo $situacao ;

//exit();


if (is_null($id_pessoa) || $id_pessoa == 0) {
    // Insere os dados
    $stmt = $connectionmysql->prepare("INSERT INTO pessoa (cpf, cnpj, nome, nome_razao, nome_fantasia, sexo, data_nascimento, tipo_pessoa) VALUES (?, ?, ?, ?, ?, ?, ?, ?,?)");
    $stmt->bind_param("sssssssss", $cpf, $cnpj, $nome, $nome_razao, $nome_fantasia, $sexo, $data_nascimento, $tipo_pessoa);

    if ($stmt->execute()) {
        header("Location: index.php?status=sucesso");
        exit;
    } else {
        echo "Erro: " . $stmt->error;
    }
} 

else {
    // Atualiza os dados
    $stmt = $connectionmysql->prepare("UPDATE pessoa SET cpf = ?, cnpj = ?, nome = ?, nome_razao = ?, nome_fantasia = ?, sexo = ?, data_nascimento = ?, situacao = ? WHERE id_pessoa = ?");
    $stmt->bind_param("ssssssssi", $cpf, $cnpj, $nome, $nome_razao, $nome_fantasia, $sexo, $data_nascimento,$situacao, $id_pessoa, );

    if ($stmt->execute()) {
        header("Location: index.php?status=sucesso");
        exit;
    } else {
        echo "Erro: " . $stmt->error;
    }
}

$stmt->close();
$connectionmysql->close();
?>
